<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
<f:view>
	<f:metadata>
		<f:viewParam name="id" value="#{editSamlServiceSpBean.id}"/>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{editSamlServiceSpBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form">
		<h2><h:outputText value="#{messages.saml_add_sp_service_config}: #{editSamlServiceSpBean.entity.id}"/></h2>
	
		<p:panel header="#{messages.sp_config}">
			<p:panelGrid id="baseData" columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">
	
		        <h:outputText value="#{messages.id}:"/>
		        <h:outputText value="#{editSamlServiceSpBean.entity.id}"/>
		
		        <h:outputText value="#{messages.idp}:"/>
		        <p:selectOneMenu value="#{editSamlServiceSpBean.entity.idp}"
		        	converter="#{samlIdpConfigurationConverter}">
		        	<f:selectItem itemLabel="All IDPs" itemValue="#{null}"/>
	            	<f:selectItems value="#{editSamlServiceSpBean.idpList}" 
	            		var="idp" itemLabel="#{idp.entityId} (id #{idp.id})" itemValue="#{idp}"/>
	            </p:selectOneMenu>

		        <h:outputText value="#{messages.sp_config}:"/>
		        <p:selectOneMenu value="#{editSamlServiceSpBean.entity.sp}"
		        	converter="#{samlSpMetadataConverter}">
		        	<f:selectItem itemLabel="No SP set" itemValue="#{null}"/>
	            	<f:selectItems value="#{editSamlServiceSpBean.samlSpList}" 
	            		var="sp" itemLabel="#{sp.entityId} (id #{sp.id})" itemValue="#{sp}"/>
	            </p:selectOneMenu>

		        <h:outputText value="#{messages.service}:"/>
		        <p:selectOneMenu value="#{editSamlServiceSpBean.entity.service}"
		        	converter="#{serviceConverter}">
		        	<f:selectItem itemLabel="No Service" itemValue="#{null}"/>
	            	<f:selectItems value="#{editSamlServiceSpBean.serviceList}" 
	            		var="service" itemLabel="#{service.name} (id #{service.id})" itemValue="#{service}"/>
	            </p:selectOneMenu>

		        <h:outputText value="#{messages.script}:"/>
		        <p:selectOneMenu value="#{editSamlServiceSpBean.entity.script}"
		        	converter="#{scriptConverter}">
		        	<f:selectItem itemLabel="No Script" itemValue="#{null}"/>
	            	<f:selectItems value="#{editSamlServiceSpBean.scriptList}" 
	            		var="script" itemLabel="#{script.name} (id #{script.id})" itemValue="#{script}"/>
	            </p:selectOneMenu>

				<h:outputText value="#{messages.wants_elevation}" />
				<p:inputSwitch value="#{editSamlServiceSpBean.entity.wantsElevation}"/>

			</p:panelGrid>
		
			<p:commandButton id="cancel" action="#{editSamlServiceSpBean.cancel()}" value="#{messages.cancel}" immediate="true"/>
			<p:commandButton id="save" action="#{editSamlServiceSpBean.save()}" value="#{messages.save}" ajax="false"/>
		</p:panel>

	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>
